                               Version history

     Read this page to get more information about Sweet Home 3D versions
                                  history.

Version 3.7, October 25, 2012

     * Displayed groups in the furniture table as expandable / collapsible
       tree nodes.
     * Used antialiasing in the 3D view when possible.
     * Fixed a bug that could create invalid SH3D files after the
       importation of a 3D model file containing non ASCII characters
       (like accentuated letters).
     * Fixed the management of multiple holes in polygons defined in
       imported DAE files.
     * Forbade window resizing while a SH3D file is opened under Mac OS X,
       to avoid program freezing.
     * Saved in a SH3D file only the textures of the SH3T file used by the
       home.
     * Released the version 1.0 (670 kB) of the Textures Library Editor, a
       separate tool that lets the user create and edit easily SH3T files.
     * Updated the new portable version of Sweet Home 3D (version 3.7, 116
       MB) et Furniture Library Editor (version 1.9, 5 Mo).
     * Replaced JRE 6u35 by JRE 6u37 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.7.

Version 3.6, September 6, 2012

     * Added the ability to rotate texts, the name of furniture and the
       name and area of rooms in the plan.
     * Improved alignment magnetism of a piece of furniture when its side
       is aligned along a wall.
     * Stored last folders selected in file dialog choosers for each
       content type handled by Sweet Home 3D.
     * Improved furniture catalogs loading at language change and during
       furniture libraries importation.
     * Fixed lens type used in video generation for the two best quality
       levels.
     * Forced blue color for selections drawn over the imported image in
       the background image wizard when default selection color is not
       enough colorful.
     * Improved selection color management in plan under Mac OS X.
     * Allowed homonyms among furniture and texture names in catalogs.
     * Refused to open a corrupted SH3D file when it contains some
       unreachable furniture or textures.
     * Fixed a bug that blocked program launch if some files to recover
       were invalid.
     * Signed Windows and Mac OS X applications and installers with the
       certified digital signature of Sweet Home 3D developer (i.e.
       Emmanuel Puybaret).
     * Replaced JRE 6u32 by JRE 6u35 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.6.

 Version 3.5, April 28, 2012

     * Added Furniture > Align side by side menu item to align selected
       furniture on the sides and on the back side of the first selected
       piece.
     * Added Furniture > Align on front side / Align on back side / Align
       on left side / Align on right side menu items to align selected
       furniture on the front / back / left / right side of the first
       selected piece.
     * Added Furniture > Distribute horizontally / Distribute vertically
       menu items to distribute selected furniture accordingly.
     * Added Align or distribute furniture menu in plan popup menu to
       grant access to these features in the online version.
     * Added a magnetism behavior during the drag and drop of a piece in
       the plan, when its borders approach the borders of an other piece
       of furniture.
     * Improved magnetism of furniture along walls (including round walls)
       with anti collision system.
     * Made zoom in the plan centered on mouse cursor when zoom is done
       with mouse wheel while Ctrl key is pressed (cmd under Mac OS X).
     * Added 3D view > Modify virtual visitor menu item to edit visitor
       location and angles.
     * Added Adjust eyes elevation according to selected level option in
       virtual visitor modification pane (selected by default for new
       homes).
     * Reversed rotation direction towards up / down in aerial view mode.
     * Made ground color vary according to light power setting (the ground
       color of your existing home files will be automatically updated and
       this might lead to some small changes in rendering).
     * Reused staircase cut out shape to compute the hole of a ramp in the
       ground.
     * Added support for <unit> element in Collada files to get a better
       default size of imported 3D models at this format.
     * Added move mouse cursor for objects move in the plan and improved
       cursors look.
     * Added a button to access preferences in the tool bar (except under
       Mac OS X where the cmd + , shortcut is well known and the tool bar
       already large).
     * Fixed a bug that froze application when a window displaying a 3D
       view previously saved as hidden was enlarged under Mac OS X.
     * Split HomeController class in HomeController + HomePluginController
       classes to grant access to controllers in a plug-in (if you created
       a derived version of Sweet Home 3D with a direct subclass or an
       instantiation of HomeController class, you should just replace
       com.eteks.sweethome3d.viewcontroller.HomeController class by
       com.eteks.sweethome3d.plugin.HomePluginController class).
     * Updated German / Spanish / Brazilian-Portuguese / Swedish help.
     * Russian version of the user interface reviewed and updated by
       Андрей Прищенко.
     * Changed the font of Sweet Home 3D logo (thanks to Julien De
       Méyère).
     * Replaced JRE 6u30 by JRE 6u32 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.5.

 Version 3.4, December 20, 2011

     * Added Plan > Add level / Modify level / Delete level menu items to
       support multiple levels with possible intermediate levels and/or
       levels at negative elevation.
     * Added 3D view > Display all levels / Display selected level menu
       items.
     * Added the New floors thickness field in preferences pane.
     * Added a new property for staircases in furniture catalog to define
       the shape used to cut out the ceiling and the floor of upper levels
       when they intersect with a staircase.
     * Added a Staircase check box in Import furniture wizard and in
       Furniture Library Editor.
     * Reused the walls transparency value to make transparent floors and
       ceilings of upper levels as well.
     * Enabled the virtual visitor to go below elevation 0 to visit
       underground levels.
     * Improved ground management to be able to handle elevations up to
       100m without seeing a black line at the horizon.
     * Added a button in preferences pane to import language libraries.
     * Improved drawing magnetism of walls and rooms.
     * Increased magnetism sensitivity.
     * Added Select object submenu in the contextual menu of the plan that
       will let the user select an object among the superimposed ones at
       the point where he right clicked.
     * Added the ability to directly change the visibility of piece of
       furniture by clicking on its visible check box in the furniture
       table.
     * Added support for auto completion in the name text fields displayed
       modification panes (suggested texts comes from previous entered
       texts and are saved in preferences).
     * Added the ability to fine tune the orientation of a 3D model at the
       second step of its importation.
     * Improved performances when using textures.
     * Added support for unsigned applets when run without 3D feature and
       furniture/textures listed in plugin files.
     * Fixed drag and support from catalog to plan or furniture list in
       the online version run with Plugin2 under Mac OS X or with OpenJDK
       under Linux.
     * Fixed a bug that prevented to view dialog boxes placed out of the
       main screen after a configuration change in a multi screen
       environment.
     * Fixed a bug that prevented to open Furniture import wizard on an
       screen different from the main screen, or to view the online
       version in a browser placed out of the main screen.
     * Fixed a bug that wrongly shifted the texture applied on an object
       with a 3D model file not placed at the origin (this bug fix will be
       applied only to texture changes made from this version to ensure
       existing designs won't look different when a circumvent tip was
       used).
     * Fixed a bug that displayed a texture as inverted when applied to
       the left side of a wall.
     * Fixed a bug that reset 3D view aspect ratio in photo creation
       dialog box after a camera change.
     * Updated English, French, German and Bulgarian help pages.
     * Replaced JRE 6u26 by JRE 6u30 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.4.

 Version 3.3, July 26, 2011

     * Improved the precision of alignement lines.
     * Always used PNG format for exported textures to avoid loosing any
       detail.
     * Fixed a bug in OBJ export for models at 3DS format containing some
       undefined values.
     * Fixed a bug that prevented to create photos and videos at the two
       first quality levels when a sky texture was used.
     * Replaced JRE 6u24 by JRE 6u26 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.3.

 Version 3.2.1, May 3, 2011

     * Fixed a bug in 3D viewer applet that prevented it to run under
       Windows.
     * Signed with a certified digital signature the JAR files of the Java
       Web Start version of Sweet Home 3D, its Online version and the 3D
       viewer applet, to enlarge Sweet Home 3D audience. Installers
       weren't modified.

 Version 3.2, April 22, 2011

     * Improved support for textured transparent models and transparency
       management in images computed with SunFlow.
     * Changed how GMT time zones are displayed to avoid confusion.
     * Improved 12/24 hour notation for English speaking users according
       to user country.
     * Fixed a bug that computed wrongly the shape of some parallel joined
       walls.
     * Fixed a bug in 3D viewer applet that prevented it to run.
     * Added com.eteks.sweethome3d.no3D system property to disable 3D
       capabilities of Sweet Home 3D if needed.
     * Updated Spanish, Portuguese Brazilian and Swedish help files.
     * Replaced JRE 6u23 by JRE 6u24 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.2.

 Version 3.1, February 13, 2011

     * Managed the printing of the plan on more than one page for big
       scales.
     * Added an icon beside the time spinner of the photo and video
       creation dialog boxes, to indicate whether the selected time is at
       day time or at night time.
     * Highlighted searched text in help pages.
     * Made new round walls symmetric.
     * Managed two round walls joined to each other.
     * Fixed various bugs in SunFlow library used as the photo rendering
       engine at the two best quality levels.
     * Fixed a bug that prevented from time to time to render correctly
       textures in photos, at print time and when a textured piece of
       furniture viewed from top was resized.
     * Fixed a bug that prevented some floors from being correctly
       displayed in a few rare cases.
     * Fixed a bug that didn't export rooms at OBJ format anymore.
     * Fixed a bug that prevented to read help files included in SH3L
       language plug-ins.
     * Fixed a bug that prevented to install SH3F, SH3T, SH3L and SH3P
       files by double-clicking on them under Mac OS X.
     * Fixed a bug that rendered fully opaque PNG textures as transparent
       in photos.
     * Fixed a bug in the management of the color and the texture of a
       group of pieces after an undo operation.
     * Added auto selection in text fields of color choosers.
     * Changed photo quality scale from 0 to 3 to 1 to 4.
     * Updated German and Bulgarian help files.
     * Added support for Windows 64 bits in the Online version and in the
       Sweet Home 3D and Furniture Library Editor executable JAR files.
     * Replaced JRE 6u22 by JRE 6u23 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.1.

 Version 3.0, November 30, 2010

     * Added suport for round walls.
     * Added 3D view > Store point of view... menu item to save the
       current point of view, and 3D view > Go to point of view menu to go
       back to a saved point of view.
     * Added a compass displayed in the plan as a compass rose and
       associated to the geographic location of the home.
     * Improved photo rendering at the two best quality levels (windows
       and images transparency support, sun orientation depending on the
       chosen hour and date, lights management, matt / shiny appearance of
       surfaces).
     * Added 5 lights and 8 colored light sources to the default furniture
       catalog.
     * Displayed selected light sources with wireframe spheres in the 3D
       view.
     * Changed the indicator and the behavior of the bottom left corner of
       lights to be able to update their light power.
     * Added the Keep proportions option to furniture modification dialog
       to keep furniture proportions when their size is edited.
     * Added the Part of base plan option to furniture modification dialog
       to be able to lock a piece of furniture when the base plan is
       locked.
     * Included all non movable furniture in the locked plan.
     * Improved the computing of shadows on the floor of 3D models
       containing many vertices to avoid the program to hang at the second
       quality photo rendering level.
     * Improved the computing of the max altitude and the 3D rendering in
       Aerial view mode.
     * Updated wrong normals values in some 3D models of the default
       catalog to improve their rendering.
     * Added a cross hatch pattern for walls.
     * Print / Copy / Export of the background image if it's displayed in
       the plan.
     * Managed saving of homes data at regular time intervals in a private
       folder, with automatic recovery of homes in case the program
       crashed.
     * Added automatic deletion of temporary files created by Sweet Home
       3D older than a week.
     * Kept shapes prefix of furniture exported at OBJ format, to restore
       prefixed shapes properties correctly at reimporation time.
     * Saved Sweet Home 3D preferences in a file independent from
       Operating System preferences to simplify the transfer of Sweet Home
       3D configuration to an other computer.
     * Added com.eteks.sweethome3d.preferencesFolder and
       com.eteks.sweethome3d.applicationFolders system properties to set
       the folders where are stored Sweet Home 3D preferences and SH3F,
       SH3T, SH3L and SH3P files.
     * Increased the recent files maximum count to 10.
     * Waited for a first move of the mouse pointer before duplicating
       selected items when the ctrl key (or alt key under Mac OS X) is
       pressed.
     * Improved items move with the mouse when they are very small in the
       plan.
     * Increased the moves of selected items in the plan when the keyboard
       arrows are pressed with the shift key.
     * Reversed the effect of pressing the shift key for moves in the 3D
       view.
     * Fixed bugs that prevented overlapping floors from being correctly
       displayed.
     * Updated help pages (only in English and French in this version).
     * Removed the ID column from the columns list displayed in Furniture
       Library Editor.
     * Replaced JRE 6u21 by JRE 6u22 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 3.0.

 Version 2.6, August 23, 2010

     * Computed correctly holes made in a wall by doors and windows
       superimposed on top of each other.
     * Removed the shininess that appeared on walls and floors under some
       view angles.
     * Fixed a bug that prevented to save a video under Mac OS X.
     * Fixed a bug that blocked SunFlow rendering engine when a 3D model
       contained too large texture coordinates.
     * Fixed a bug that prevented to use some 3D models containing many
       shapes.
     * Improved DAE/Collada support for files exported from Solidworks and
       other tools.
     * Updated Furniture Library Editor to version 1.1 to fix a few minor
       bugs.
     * Replaced JRE 6u20 by JRE 6u21 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.6.

 Version 2.5, June 21, 2010

     * Released the version 1.0 of the Furniture Library Editor, a
       separate tool that lets the user create and edit more easily some
       SH3F files.
     * Fixed a bug that didn't update furniture and textures catalogs
       after a modified SH3F or SH3T file is imported.
     * Fixed a regression bug on textures applied to 3D models with a size
       different from the one of a 1 centimeter cube.
     * Improved DAE/Collada format support for files exported from
       SketchUp.
     * Lowered ground level in the 3D view to limit blinking effect during
       video creation.
     * Suppressed double faces in the rendering computed by SunFlow to get
       best results.
     * Fixed a bug that blocked SunFlow rendering engine when a home
       contained some furniture imported from 3DS models.
     * Fixed a bug that prevented SunFlow to render images when a home
       contained superimposed walls.
     * Improved textures cache.
     * Improved temporary files management under Mac OS X and Linux.
     * Limited the height of the photo and video creation dialogs for
       small screens.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.5.

 Version 2.4, May 25, 2010

     * Added DAE/Collada format to the file formats supported by furniture
       import wizard, to be able to import the 3D models proposed on
       Google 3D Warehouse.
     * Added support for transparency in PNG/GIF images applied as texture
       to 3D models.
     * Displayed the lines defined in OBJ and DAE files.
     * Fixed 3D rendering to ensure OBJ files created from the exportation
       of the 3D view keep the same look when imported.
     * Modulated texture illumination according to light brightness
       (caution, this may change the brightness of images displayed in
       existing SH3D files).
     * Fixed a bug that moved out of center some imported 3DS models.
     * Fixed a bug that made an imported OBJ file lose its colors when its
       name contained non ASCII letters.
     * Fixed a bug that prevented overlapping floors from being correctly
       displayed.
     * Fixed a bug that didn't restore correctly the saved location of
       view splitters for maximized windows.
     * Optimized memory used by 3D models.
     * Modified installation process of Sweet Home 3D with Java Web Start
       to display the security dialog earlier.
     * Added furnitureResourcesURLBase and texturesResourcesURLBase
       parameters to Sweet Home 3D applet to simplify the deployment of
       furniture and textures catalogs on other servers.
     * Replaced JRE 6u18 by JRE 6u20 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.4.

 Version 2.3, March 21, 2010

     * Added Furniture > Group and Furniture > Ungroup menu items to group
       furniture and ungroup furniture groups.
     * Added support for texture mapping on furniture.
     * Added the ability to create videos from a path in the 3D view.
     * Added 3D view > Display in separate window menu item.
     * Added pan mode in the plan activated by Plan > Pan menu item or
       temporarily with the space bar.
     * Zoom in the plan with the mouse wheel while keeping the ctrl key
       pressed (or cmd key under Mac OS X).
     * Added Category folders / Searchable list options in preferences
       pane to choose the display style of the furniture catalog view.
     * Added navigation arrows in the top left corner of the 3D view with
       an option in preferences pane to hide them.
     * Added an indicator in the back of the virtual visitor to modify the
       height of the point of view.
     * Increased the maximum height of the visitor to 26.78 m (height of
       the eyes at 25 m).
     * Enabled the user to enter the size of new dimensions with the
       keyboard once the Enter key has been pressed.
     * Added the ability to create dimensions on furniture side, wall side
       or room side with a double-click.
     * Added Furniture > Import textures library... menu item to import
       textures libraries at SH3T format.
     * Added support for SH3L language plug-ins to support more languages
       in Sweet Home 3D.
     * Added com.eteks.sweethome3d.j3d.checkOffScreenSupport Java system
       property equal to true by default. When this property is equal to
       false, Sweet Home 3D doesn't check whether Java 3D supports
       offscreen 3D images; such a test could make the program crash in a
       few cases (mostly under Linux). Printing the 3D view, computing the
       top view of furniture in the plan and the two lowest photo quality
       levels are not available when offscreen 3D images aren't supported.
     * Improved the icon creation process of imported furniture to get an
       icon with a transparent background.
     * Improved grid and rulers display at small scales.
     * Avoided to display text upside down on new dimensions.
     * Enlarged the light influencing bounds for big buildings.
     * Fixed the direction of the texture mapped on the ground.
     * Fixed a bug that prevented to easily enter numbers bigger than
       10000 in spinners -/+.
     * Fixed a bug that didn't take into account the current unit of the
       minimum and maximum values in spinners.
     * Fixed the rendering of textures mapped to walls and computed with
       SunFlow rendering engine.
     * Improved saving to avoid losing the previous version of a valid
       SH3D file in case of error.
     * Replaced JRE 6u17 by JRE 6u18 in Sweet Home 3D installers bundled
       with Java.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.3.

 Version 2.2, December 26, 2009

     * Modified zoom behavior in the plan to zoom in the center of the
       displayed zone.
     * Fixed a bug that happened with 3D models imported in furniture
       catalog from a zip file.
     * Fixed a bug that reset rights on saved SH3D files.
     * Fixed a bug that prevented to drag and drop catalog furniture
       without selecting it first under Mac OS X.
     * Fixed a computing bug on walls with almost equal ordinates.
     * Fixed a bug that prevented to display correctly the texture of
       sloped walls.
     * Added support for Linux 64 bits.
     * Improved API to simplify the creation of customized versions of
       Sweet Home 3D.
     * Added Bulgarian localization written by Valentin Laskov.
     * Replaced JRE 6u16 by JRE 6u17 in Sweet Home 3D installers bundled
       with Java.
     * Updated iText to version 2.1.7 (caution: from version 5.0.0, iText
       isn't distributed under GNU LGPL license anymore).
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.2.

 Version 2.1, September 30, 2009

     * As the Online version available on sweethome3d.eu is now able to
       save homes in the private space of the users registered to the
       site, its applet was improved to be able to:
          + save user preferences on server,
          + export a home at SH3D format to edit it with the downloadable
            version,
          + follow modifications made in the edited home to avoid the user
            changing browser page without saving it,
          + display the memory amount used by Java in the browser status
            bar.
     * Improved loading performances of a SH3D file.
     * Renamed print process as Sweet Home 3D followed by home name.
     * Fixed a bug in photo-realistic rendering that displayed black
       polygons around a home.
     * Fixed a bug that prevented home plan to be rendered correctly when
       walls were created with a double-click in a room which contains two
       points very close to each other.
     * Fixed a bug that caused memory leaks when importing 3D models and
       when creating photos.
     * Fixed a bug under Mac OS X that made menus and their shortcuts
       disappear after displaying Preferences or About dialog boxes.
     * Reduced maximum used memory from 1024 MB to 512 MB to avoid could
       not create the Java virtual machine errors under Windows.
     * Replaced JRE 6u14 by JRE 6u16 in Sweet Home 3D installers bundled
       with Java.
     * Added Japanese localization written by Takahiro Sato.
     * Added Vietnamese localization of the user interface written by
       Phùng Lê Tuấn.
     * Other minor bugs fixes and enhancements.

     See also blog article about version 2.1.

 Version 2.0, June 6, 2009

     * Added 3D View > Create photo... menu item to create PNG images of
       the current 3D view with the ability to choose their size and their
       rendering quality; photo-realistic rendering performed by SunFlow
       library.
     * Enabled the user to enter the size of new walls and rooms with the
       keyboard once the Enter key has been pressed.
     * Added the ability to create the walls around a room by
       double-cliking in that room.
     * Added new preferences for the rendering of the plan to view
       furniture from its top, fill the floor of the rooms with their
       color or their texture, and change the pattern of walls.
     * Added the units Meter and Millimeter.
     * Fixed a bug that prevented to compute correctly the location of
       doors and windows and that made the plan view blank.
     * Fixed a bug that didn't update the 3D view after some camera moves
       on computers with low capabilities.
     * Updated the JNLP file of Sweet Home 3D to require Java 3D 64 bits
       on 64 bits architecture.
     * Replaced JRE 6u12 by JRE 6u14 in Sweet Home 3D installers bundled
       with Java.
     * Added Chinese (Simplified) localization of help pages written by
       Zhao Si-cong.
     * Other minor bugs fixes and enhancements.

 Version 1.8, April 5, 2009

     * Added Plan > Lock base plan menu item and its matching button in
       plan to select and arrange furniture more easily.
     * Added Plan > Hide background image menu item to hide/display the
       background image without deleting it.
     * Added Plan > Export to SVG format... menu item to export the home
       plan in a SVG (Scalable Vector Graphics) file thanks to FreeHEP
       library.
     * Added File > Save and compress menu item to save the current home
       in a smaller SH3D file and ease file transfer.
     * Developed a 3D viewer applet to let users show their SH3D files on
       their web wite.
     * Improved the 3D view to get smoother point of view changes,
       depending on the available power of user's computer.
     * Fixed a bug that prevented to search in help files written with a
       non-western encoding.
     * Updated iText to version 2.1.5.
     * Added Greek localization written by Elli Nicolaou.
     * Added Chinese (Simplified) localization of the user interface
       written by Zhao Si-cong.
     * Other minor bugs fixes and enhancements.

 Version 1.7, March 13, 2009

     * Automatic adjustment of the thickness and the orientation of a door
       or a window dropped upon a wall.
     * Automatic adjustment of the location and the orientation of a piece
       of furniture dropped along a wall.
     * Automatic elevation of an piece of furniture dropped on an other
       one.
     * Drawn the sashes of doors and windows with an arc of a circle (this
       feature is only available for doors and windows of the catalog
       provided from version 1.7 and for furniture libraries from version
       1.0.3).
     * Drawn the front face of the selected furniture with a thicker line
       in the plan.
     * Drawn the bounding rectangle of a piece dragged in the plan, during
       its initial drag and drop.
     * Managed the drag and drop cursor with the icon of the added piece
       of furniture under Mac OS X.
     * Automatic move of pasted objects only when they can't be
       distinguished from current selection in plan.
     * Fixed a bug that wrongly changed the default wall height and wall
       thickness in preferences pane when the user changed the unit.
     * Other minor bugs fixes and enhancements.

 Version 1.6, February 18, 2009

     * Modified popup menus to display only enabled items.
     * Added support of the importation of 3D models that need other files
       like texture images, even if these files aren't included in a ZIP
       file.
     * Modified the reader of OBJ + MTL files ; caution, this change may
       have some side-effects on your existing homes, because the
       transparency factor of 3D objects read from OBJ files wasn't always
       correctly managed until now.
     * Added support for the import with a double-click of SH3P files
       containing a Sweet Home 3D plug-in.
     * Improved the stability of the online version of Sweet Home 3D.
     * Fixed a bug that displayed incorrectly the print scale previously
       chosen by the user.
     * Fixed a bug that prevented to display the tooltip of a piece of
       furniture of the catalog in the English version.
     * Replaced JRE 6u11 by JRE 6u12 in Sweet Home 3D installers bundled
       with Java.
     * Added Italian localization of help pages written by Simone Bufalino
       and re-read by Rosella Mariotti.

 Version 1.5.1, December 17, 2008

     * Corrected a bug that prevented to display some dialog boxes in
       Spanish and Brazilian Potuguese version of Sweet Home 3D under
       Windows and Linux.
     * Reorganized localized files to simplify localization process.

 Version 1.5, December 8, 2008

     * Added the Create rooms tool, with the ability to display the name
       and the area of the rooms in the plan, and to change the color or
       the texture of their floor and their ceiling in the 3D view.
     * Added the Add texts tool to add free texts to plan.
     * Added a check box in the furniture pane to display its name in the
       plan.
     * Managed the text style (text size, bold, italic) of the selected
       items in the plan with the items of the sub menu Plan > Modify text
       style and their matching buttons added to the tools bar.
     * Added a button in the 3D view pane to choose the texture of the
       sky, with 3 new sky images.
     * Managed page header and footer in page setup pane with the ability
       to enter 7 predefined variables (page number, page count, date...).
     * Added the ability to choose the print scale of the plan in page
       setup pane.
     * Displayed tips at first uses of a creation tool.
     * Automatic selection of text fields in dialog boxes when they get
       focus with a tab key.
     * Added a service hatch and a fixed window in default furniture
       library.
     * Changed how selected objects are displayed in such a way that their
       bounding box is always visible even if some objects are hidden by
       other ones.
     * Added the angle between a wall and its preceding wall in the tool
       tip displayed during the wall creation or modification.
     * Changed zoom shortcut keys under Linux (Ctrl + Ctrl -).
     * Enabled the menu items Delete, Undo, Redo, Copy, Cut, Paste,
       Modify... between the creation of two series of walls or the
       creation of two dimensions.
     * Corrected a bug that prevented a correct computation of the holes
       of windows in a wall in some cases, when this wall contains more
       than one window.
     * Corrected a bug that caused the system language to be used in the
       labels in Ok/Cancel buttons and Undo/Redo menu items, even if the
       user chose an other language.
     * Corrected a bug that prevented the importation of a piece of
       furniture after that a previous attempt to import an incorrect file
       was interrupted.
     * Corrected a bug that blocked the program after importating a few
       pieces of furniture in home plan.
     * Corrected a bug that deleted the imported textures after a language
       change in preferences pane.
     * Corrected a bug under Windows that caused the creation of too many
       clones during duplication with Ctrl key.
     * Corrected a bug under Mac OS X 10.5 that prevented to display
       correctly the plan with Java Update 1.
     * Developed an experimental online version of Sweet Home 3D with
       parameters that specifies the services able to save and open homes
       stored on a server.
     * Developed a plug-in architecture that allows Java developers to add
       features to Sweet Home 3D based on the
       com.eteks.sweethome3d.plugin.Plugin and
       com.eteks.sweethome3d.plugin.PluginAction classes.
     * Refactored many classes to present a better API to plug-in
       developers.
     * Replaced JRE 6u6 by JRE 6u11 in Sweet Home 3D installers bundled
       with Java.
     * Improvements in the Russian localization of the help files by
       Kazimirov Valentin.
     * Other minor bugs fixes and enhancements.
     * Moved the Sweet Home 3D web server to sweethome3d.eu.

 Version 1.4, October 7, 2008

     * Managed the importation of images to let users create their
       textures.
     * Added the exportation of the 3D view to OBJ + MTL format with 3D
       view > Export to OBJ format... menu item.
     * Added Plan > Reverse walls direction menu item to reverse the
       direction of selected walls.
     * Added Plan > Split wall menu item to split the selected wall in two
       walls after inserting a point in its middle.
     * Added Furniture > Import furniture library menu item to import
       furniture libraries at SH3F format .
     * Used ' and " symbols to display lengths in foot/inch unit.
     * Applied magnetism to lengths depending on the current scale in the
       plan and unit.
     * Added the ability to duplicate selected objects in the plan with a
       drag and drop while keeping the ctrl key pressed (or under Mac OS
       X, the alt key pressed).
     * Added a text field for length choice in the Modify wall dialog.
     * From this version, the wall height chosen in Preferences dialog is
       also used for walls created in existing homes.
     * Added the abbility to copy selected furniture to clipboard at CSV
       format, when furniture list has focus.
     * Validated automatically the content of spinners (+/- components)
       when a dialog that uses one is closed.
     * Stored the location and the size of windows in SH3D files.
     * Simplified the largest furniture files at OBJ format to reduce
       Sweet Home 3D application size.
     * Took into account the background image size to compute correctly
       scroll bars surrounding the plan.
     * Modified Print to PDF feature to ensure non roman characters are
       printed correctly.
     * Fixed a Mac OS X 10.5 bug which disabled all menu items at the end
       of furniture import wizard, when it's launched by Furniture >
       Import furniture... menu item.
     * Improved Sweet Home 3D launch script for Linux.
     * Created an executable JAR file (13 MB) for Windows / Mac OS X /
       Linux.
     * Added Swedish localization written by Martin Karlsson.
     * Corrected typos as proposed by Alain Espinosa in Spanish
       localization.
     * Other minor bugs fixes and enhancements.

 Version 1.3.1, August 27, 2008

     * Updated Java 3D to version 1.5.2 under Windows, Mac OS X, Linux et
       Solaris.
     * Updated JOGL to version 1.1.1 under Mac OS X.
     * Updated iText to version 2.1.2u.
     * Added Russian localization written by Basimov Ilgiz and Kazimirov
       Valentin.
     * Added Hungarian localization written by Miklósi Viktor and Szita
       Balázs.
     * Corrected typos as proposed by Kamil Páral in Czech localization.

 Version 1.3, April 29, 2008

     * Corrected the computation of image size of the plan copied into the
       clipboard when selection contains dimensions.
     * Changed the way to save homes to avoid the corruption of the
       previous version of a valid SH3D file, if current save ever fails.
     * Corrected a bug that opened twice a home file launched from Mac OS
       X 10.5 finder.
     * Managed the import of an OBJ file created with Blender even if it
       contains objects definitions in a line starting by a o letter.
     * Managed the import of a ZIP file containing a 3D model file at OBJ,
       LWS or 3DS format. This ZIP file may also contain the texture files
       of the 3D model and/or a MTL file (describes the colors and the
       textures of a 3D model at OBJ format).
     * Added support for the import of furniture catalog SH3F files.
     * Replaced JRE 6u4 by JRE 6u6 in Sweet Home 3D installers bundled
       with Java.
     * Added Spanish localization written by Pablo Mayordomo and Paco.

 Version 1.2.1, February 13, 2008

     * Corrected a bug about the creation of new furniture categories with
       spaces at the start or the end of their name.
     * Corrected a bug that prevented from changing the color or the
       visibility of some imported furniture.
     * As many users tries to use Sweet Home 3D to design homes with
       multiple floors, the maximum height of the observer in 3D virtual
       visit was increased from 2.5 meters to 10 meters (the observer
       point of view still remains at the 13/14 of its height, to repect
       human proportions !).
     * Replaced JRE 6u3 by JRE 6u4 in Sweet Home 3D installers bundled
       with Java.
     * Added Czech localization written by Štephan Novák.
     * Added Polish localization written by Paweł Antkowiak (user
       interface) and Szymon Życiński (help pages).
     * Added German localization of help pages written by Thomas
       Zimmermann.
     * Corrected typos in help pages.

 Version 1.2, November 6, 2007

     * Added textures applicable to walls and the ground.
     * Managed the heights of wall start and end points to create garrets.
     * Added a search engine in help pages.
     * Added tooltips on catalog furniture.
     * Managed A and D keys in 3D view equivalent to left and right arrow
       keys.
     * Changed zoom and help shorcut keys under Mac OS X (Cmd + Cmd - Cmd
       ?).
     * Changed the way the icon of an imported 3D model is created to
       avoid crashes at the end of import furniture wizard.
     * Improved plan scrollbars management during the drawing of walls and
       dimensions created in left and top margins of the plan.
     * Maintained the coordinates of the displayed top left corner when
       zoom is changed in the plan.
     * Detected if 3D view print is possible according to the 3D
       configuration of user system.
     * Reseted focus correctly after the import furniture wizard is
       closed.
     * Corrected a bug about synonymous furniture in different categories
       of the catalog during a language change.
     * Replaced JRE 6u2 by JRE 6u3 in Sweet Home 3D installers bundled
       with Java.
     * Adaptated user interface for Mac OS X 10.5.
     * Used Tango project icons in tool bar and menu items.
     * Added 25 furniture created by contributors (their name is displayed
       in the tooltip of a piece).
     * Added Italian localization of the user interface written by Simone
       Bufalino.
     * Added German localization of the user interface written by
       Sebastian Breuer.
     * Corrected typos and described new features in help pages.

 Version 1.1, September 24, 2007

     * Added dimensions creation and edition.
     * Added a check box in preferences to make visible or invisible the
       grid displayed in the plan.
     * Managed the change of user interface language in preferences.
     * Added indicators in plan rulers to reflect current mouse pointer
       location in the plan.
     * Managed walls modfication with active magnetism.
     * Increased the pattern resolution of walls during print.
     * Corrected a bug about the lighting of imported 3D models with
       inverted faces.
     * Corrected a bug about adding Java 3D objects to a live scene.
     * Added Brazilian Portuguese localization written by Roberto Rocha.
     * Corrected typos in help pages.

 Version 1.0, September 12, 2007

     * Added Furniture > Display column menu items to modify the columns
       list displayed in furniture list header.
     * Modified columns list displayed by default.
     * Managed the copy into clipboard of an image of the selected objects
       in the plan (this feature may not work under Linux).
     * Managed home print with Print..., Page setup..., Print preview...
       and Print to PDF... items of File menu.
     * Created Windows / Mac OS X / Linux installers.
     * Managed W and S keys in 3D view equivalent to up and down arrow
       keys.
     * Added iText library to manage print to PDF.
     * Used Java 3D 1.5.1 under Windows and Mac OS X.
     * Modified splash screen.
     * Corrected typos in help pages.

 Version 0.18, July 21, 2007

     * Added help pages.

 Version 0.17

     * Added furniture import wizard accessible from Furniture > Import
       furniture... menu item.
     * Managed the transparency of window panes under Java 3D 1.3.
     * Modification with the mouse of the height and the elevation of the
       selected piece of furniture in the plan, by clicking on the bottom
       left and top right corners of the piece.
     * Added new furniture to catalog: sliding doors, slider window,
       radiators, shower, cylinder, fitted bath and washbasin with
       cabinet.
     * Managed recent opened files.
     * The first untitled and unmodified home is automatically closed when
       an other one is opened.
     * No new empty home is created at application relaunch.
     * Better integration in Mac OS X (Window menu, default menu when no
       home is opened).
     * Managed memory better when a home is closed.
     * Added Microcrowd Loader3DS library to manage 3DS format.
     * Used Java 3D 1.5.1 under Linux and Solaris.

 Version 0.16

     * Added two 3D navigation modes accessible from the 3D view new menu:
       the Aerial view mode matching previous mode available in version
       0.15, in which the user can zoom from now on, and the Virtual visit
       mode matching the view of an observer moving around in the edited
       home. In this latter mode , the user may modify its 3D view point,
       either with the observer drawn in the plan, or directly in the 3D
       view.
     * Managed active keys in the 3D view.
     * Added 3D view > Modify... menu item to edit the field of view and
       the height of the visitor, the ground and the sky color, the light
       brightness and walls transparency.
     * Enabled the change of each wall height with Plan > Modify walls...
       menu item.
     * Added the ability to view the mirrored shape of a piece of
       furniture with Furniture > Modify... menu item.
     * Plan size can't decrease anymore, to avoid some difficulties to
       create walls outside of default plan space.
     * Wall creation mode switches automatically to selection mode when
       the user drags and drops a piece of furniture in the plan, or when
       Furniture > Add to home menu item is chosen.
     * Added a Door frame piece of furniture to catalog.
     * Displayed current Java version in About dialog box.

 Version 0.15, June 10, 2007

     * Added Plan > Import background image... menu item and its matching
       wizard.

 Version 0.14

     * Modification of wall ends with the mouse.
     * Managed zoom in the plan.
     * Added rulers at left and top borders of the plan (may be rendered
       invisible by editing preferences).
     * Added visual guides to align the ends of a wall with the ends of
       other walls.
     * Added tooltips displaying the length of a wall, the angle and the
       size of a piece of furniture during their modification with the
       mouse.
     * Added Edit > Select all menu item.
     * Added furniture alignment menu items.
     * Added contextual popup menus.
     * Added a Box piece of furniture in the Miscellaneous category.
     * Computed holes in walls at their intersection location with doors
       or windows in the 3D view.

 Version 0.13

     * Added Plan > Modify walls... menu item to edit the coordinates of
       walls ends, as their thickness and their color.

 Version 0.12, May 27, 2007

     * Added Furniture > Modify... menu item to edit the name, the size
       and the color of some furniture.

 Version 0.11

     * Sorting of the furniture list.

 Version 0.10, November 16, 2006

     * First public release.
       This version matches the study case described in the French book
       Les cahiers du programmeur Swing, written by Emmanuel Puybaret and
       published by Editions Eyrolles in December 2006.
